%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:       python-django-horizon
# Liberty semver reset
# https://review.openstack.org/#/q/I6a35fa0dda798fad93b804d00a46af80f08d475c,n,z
Epoch:      1
Version:    9.0.1
Release:    15%{?dist}
Provides:   python2-django-horizon = %{epoch}:%{version}-%{release}
Summary:    Django application for talking to Openstack

Group:      Development/Libraries
# Code in horizon/horizon/utils taken from django which is BSD
License:    ASL 2.0 and BSD
URL:        http://horizon.openstack.org/
Source0:    http://tarballs.openstack.org/horizon/horizon-%{version}%{?milestone}.tar.gz
#
# patches_base=9.0.1+2
#
Patch0001: 0001-disable-debug-move-web-root.patch
Patch0002: 0002-remove-runtime-dep-to-python-pbr.patch
Patch0003: 0003-Add-a-theme-subpackage-based-on-RCUE-theme.patch
Patch0004: 0004-add-fonts.patch
Patch0005: 0005-Adjustments-to-RCUE-theme-for-Nav-bar-area.patch
Patch0006: 0006-fix-dropdowns-remove-breadcrumbs.patch
Patch0007: 0007-Provide-new-logos-product-renamed.patch
Patch0008: 0008-Disable-metering-panel.patch
Patch0009: 0009-Adjust-paths-for-RCUE-theme.patch
Patch0010: 0010-Escape-angularjs-templating-in-unsafe-HTML.patch
Patch0011: 0011-change-docs-URL-to-point-to-access.redhat.com.patch
Patch0012: 0012-add-favicon.ico.patch
Patch0013: 0013-make-breadcrumbs-more-robust.patch
Patch0014: 0014-Prevent-Angular-from-intercepting-links-in-menus.patch
Patch0015: 0015-Make-pages-scrollable-with-RCUE-theme.patch
Patch0016: 0016-Fix-pep8-failure-in-settings.py.patch
Patch0017: 0017-Prevent-Angular-from-intercepting-links-in-navigatio.patch
Patch0018: 0018-No-lock-required-for-reading-secret-key.patch
Patch0019: 0019-Addition-of-metadata-for-snapshot-in-VolumeSnapshot-.patch
Patch0020: 0020-Add-metadata-in-snapshot-details-page.patch
Patch0021: 0021-Use-Default-Value-and-DefaultValue-for-Heat-paramete.patch
Patch0022: 0022-Let-Nova-to-pick-availability-zone-if-more-than-1.patch
Patch0023: 0023-Disentangle-domain-context-from-effective-domain.patch
Patch0024: 0024-Use-domain_context-not-effective-domain-to-display-d.patch
Patch0025: 0025-Remove-all_tenants-flag-in-quota-check.patch
Patch0026: 0026-Fix-close-URL-in-the-stack-preview-dialog.patch
Patch0027: 0027-Fix-issues-with-updating-project-domain-members.patch
Patch0028: 0028-Add-ability-to-choose-flavor-in-dashboard-if-value-0.patch
Patch0029: 0029-Add-ability-to-choose-flavor-in-dashboard-if-value-0.patch
Patch0030: 0030-Remove-dangerous-safestring-declaration.patch
Patch0031: 0031-Prevent-duplicated-ips-on-network-topology.patch

Source2:    openstack-dashboard-httpd-2.4.conf
Source3:    python-django-horizon-systemd.conf

# demo config for separate logging
Source4:    openstack-dashboard-httpd-logging.conf

# logrotate config
Source5:    python-django-horizon-logrotate.conf


#
# BuildArch needs to be located below patches in the spec file. Don't ask!
#

BuildArch:  noarch

BuildRequires:   python-django
Requires:   python-django


Requires:   pytz
Requires:   python-six >= 1.9.0
Requires:   python-pbr

BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python-pbr >= 0.7.0
BuildRequires: git
BuildRequires: python-six >= 1.9.0
BuildRequires: gettext

# for checks:
%if 0%{?rhel} == 0
BuildRequires:   python-django-nose >= 1.2
BuildRequires:   python-coverage
BuildRequires:   python-mox3
BuildRequires:   python-nose-exclude
BuildRequires:   python-nose
BuildRequires:   python-selenium
%endif
BuildRequires:   python-netaddr
BuildRequires:   python-kombu
BuildRequires:   python-anyjson
BuildRequires:   python-iso8601

# additional provides to be consistent with other django packages
Provides: django-horizon = %{epoch}:%{version}-%{release}

%description
Horizon is a Django application for providing Openstack UI components.
It allows performing site administrator (viewing account resource usage,
configuring users, accounts, quotas, flavors, etc.) and end user
operations (start/stop/delete instances, create/restore snapshots, view
instance VNC console, etc.)


%package -n openstack-dashboard
Summary:    Openstack web user interface reference implementation
Group:      Applications/System

Requires:   httpd
Requires:   mod_wsgi
Requires:   %{name} = %{epoch}:%{version}-%{release}
Requires:   python-django-openstack-auth >= 1.1.7
Requires:   python-django-compressor >= 2.0
Requires:   python-django-appconf
Requires:   python-lesscpy

Requires:   openstack-dashboard-theme = %{epoch}:%{version}-%{release}

Requires:   python-glanceclient
Requires:   python-keystoneclient >= 1.6.0
Requires:   python-novaclient >= 2.29.0
Requires:   python-neutronclient
Requires:   python-cinderclient >= 1.3.1
Requires:   python-swiftclient
Requires:   python-heatclient
Requires:   python-ceilometerclient
Requires:   python-troveclient >= 1.0.0
Requires:   python-saharaclient
Requires:   python-netaddr
Requires:   python-oslo-config
Requires:   python-django-pyscss >= 2.0.2
Requires:   python-XStatic
Requires:   python-XStatic-jQuery
Requires:   python-XStatic-Angular >= 1:1.3.7
Requires:   python-XStatic-Angular-Mock
Requires:   python-XStatic-Angular-Bootstrap
Requires:   python-XStatic-D3
Requires:   python-XStatic-Font-Awesome
Requires:   python-XStatic-Hogan
Requires:   python-XStatic-JQuery-Migrate
Requires:   python-XStatic-JQuery-TableSorter
Requires:   python-XStatic-JQuery-quicksearch
Requires:   python-XStatic-JSEncrypt
Requires:   python-XStatic-Jasmine
Requires:   python-XStatic-QUnit
Requires:   python-XStatic-Rickshaw
Requires:   python-XStatic-Spin
Requires:   python-XStatic-jquery-ui
Requires:   python-XStatic-Bootstrap-Datepicker
Requires:   python-XStatic-Bootstrap-SCSS
Requires:   python-XStatic-termjs
Requires:   python-XStatic-smart-table
Requires:   python-XStatic-Angular-lrdragndrop
Requires:   python-XStatic-Angular-Gettext
Requires:   python-XStatic-Magic-Search
Requires:   python-XStatic-bootswatch
Requires:   python-XStatic-roboto-fontface
Requires:   python-XStatic-mdi

Requires:   python-scss >= 1.3.4
Requires:   fontawesome-fonts-web >= 4.1.0

Requires:   python-oslo-concurrency
Requires:   python-oslo-config
Requires:   python-oslo-i18n
Requires:   python-oslo-serialization
Requires:   python-oslo-utils
Requires:   python-oslo-policy
Requires:   python-babel
Requires:   python-pint

Requires:   openssl
Requires:   logrotate

BuildRequires: python-django-openstack-auth >= 2.0
BuildRequires: python-django-compressor >= 2.0
BuildRequires: python-django-appconf
BuildRequires: python-lesscpy
BuildRequires: python-oslo-config
BuildRequires: python-django-pyscss >= 2.0.2
BuildRequires: python-XStatic
BuildRequires: python-XStatic-jQuery
BuildRequires: python-XStatic-Angular >= 1:1.3.7
BuildRequires: python-XStatic-Angular-Mock
BuildRequires: python-XStatic-Angular-Bootstrap
BuildRequires: python-XStatic-D3
BuildRequires: python-XStatic-Font-Awesome
BuildRequires: python-XStatic-Hogan
BuildRequires: python-XStatic-JQuery-Migrate
BuildRequires: python-XStatic-JQuery-TableSorter
BuildRequires: python-XStatic-JQuery-quicksearch
BuildRequires: python-XStatic-JSEncrypt
BuildRequires: python-XStatic-Jasmine
BuildRequires: python-XStatic-QUnit
BuildRequires: python-XStatic-Rickshaw
BuildRequires: python-XStatic-Spin
BuildRequires: python-XStatic-jquery-ui
BuildRequires: python-XStatic-Bootstrap-Datepicker
BuildRequires: python-XStatic-Bootstrap-SCSS
BuildRequires: python-XStatic-termjs
BuildRequires: python-XStatic-smart-table
BuildRequires: python-XStatic-Angular-lrdragndrop
BuildRequires: python-XStatic-Magic-Search
BuildRequires: python-XStatic-Angular-Gettext
BuildRequires: python-XStatic-bootswatch
BuildRequires: python-XStatic-roboto-fontface
BuildRequires: python-XStatic-mdi
BuildRequires: python-scss >= 1.3.4
BuildRequires: fontawesome-fonts-web >= 4.1.0
BuildRequires: python-oslo-concurrency
BuildRequires: python-oslo-config
BuildRequires: python-oslo-i18n
BuildRequires: python-oslo-serialization
BuildRequires: python-oslo-utils
BuildRequires: python-oslo-policy
BuildRequires: python-babel
BuildRequires: python-pint

BuildRequires: pytz
BuildRequires: systemd

%description -n openstack-dashboard
Openstack Dashboard is a web user interface for Openstack. The package
provides a reference implementation using the Django Horizon project,
mostly consisting of JavaScript and CSS to tie it altogether as a standalone
site.


%package doc
Summary:    Documentation for Django Horizon
Group:      Documentation

Requires:   %{name} = %{epoch}:%{version}-%{release}
BuildRequires: python-sphinx >= 1.1.3

# Doc building basically means we have to mirror Requires:
BuildRequires: python-glanceclient
BuildRequires: python-keystoneclient
BuildRequires: python-novaclient >= 2.29.0
BuildRequires: python-neutronclient
BuildRequires: python-cinderclient
BuildRequires: python-swiftclient
BuildRequires: python-heatclient
BuildRequires: python-ceilometerclient
BuildRequires: python-troveclient >= 1.0.0
BuildRequires: python-saharaclient
BuildRequires: python-oslo-sphinx

%description doc
Documentation for the Django Horizon application for talking with Openstack

%package -n openstack-dashboard-theme
Summary: OpenStack web user interface reference implementation theme module
Requires: openstack-dashboard = %{epoch}:%{version}-%{release}

%description -n openstack-dashboard-theme
Customization module for OpenStack Dashboard to provide a branded logo.

%prep
%setup -q -n horizon-%{upstream_version}

# Use git to manage patches.
# http://rwmj.wordpress.com/2011/08/09/nice-rpm-git-patch-management-trick/
git init
git config user.email "python-django-horizon-owner@fedoraproject.org"
git config user.name "python-django-horizon"
git add .
git commit -a -q -m "%{version} baseline"
git am %{patches}

# finalize pbr removal
sed -i s/REDHATVERSION/%{version}/ horizon/version.py
sed -i s/REDHATRELEASE/%{release}/ horizon/version.py
# drop config snippet
cp -p %{SOURCE4} .


%build
# compile message strings
cd horizon && django-admin compilemessages && cd ..
cd openstack_dashboard && django-admin compilemessages && cd ..
# Dist tarball is missing .mo files so they're not listed in distributed egg metadata.
# Removing egg-info and letting PBR regenerate it was working around that issue
# but PBR cannot regenerate complete SOURCES.txt so some other files wont't get installed.
# Further reading why not remove upstream egg metadata:
# https://github.com/emonty/python-oslo-messaging/commit/f632684eb2d582253601e8da7ffdb8e55396e924
# https://fedorahosted.org/fpc/ticket/488
echo >> horizon.egg-info/SOURCES.txt
ls */locale/*/LC_MESSAGES/django*mo >> horizon.egg-info/SOURCES.txt
%{__python} setup.py build

# compress css, js etc.
cp openstack_dashboard/local/local_settings.py.example openstack_dashboard/local/local_settings.py
# get it ready for compressing later in puppet-horizon
%{__python} manage.py collectstatic --noinput --clear
%{__python} manage.py compress --force


# build docs
export PYTHONPATH="$( pwd ):$PYTHONPATH"
sphinx-build -b html doc/source html

# undo hack
cp openstack_dashboard/local/local_settings.py.example openstack_dashboard/local/local_settings.py

# Fix hidden-file-or-dir warnings
rm -fr html/.doctrees html/.buildinfo

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# drop httpd-conf snippet
install -m 0644 -D -p %{SOURCE2} %{buildroot}%{_sysconfdir}/httpd/conf.d/openstack-dashboard.conf
install -d -m 755 %{buildroot}%{_datadir}/openstack-dashboard
install -d -m 755 %{buildroot}%{_sharedstatedir}/openstack-dashboard
install -d -m 755 %{buildroot}%{_sysconfdir}/openstack-dashboard

# create directory for systemd snippet
mkdir -p %{buildroot}%{_unitdir}/httpd.service.d/
cp %{SOURCE3} %{buildroot}%{_unitdir}/httpd.service.d/openstack-dashboard.conf


# Copy everything to /usr/share
mv %{buildroot}%{python_sitelib}/openstack_dashboard \
   %{buildroot}%{_datadir}/openstack-dashboard
cp manage.py %{buildroot}%{_datadir}/openstack-dashboard
rm -rf %{buildroot}%{python_sitelib}/openstack_dashboard

# remove unnecessary .po files
find %{buildroot} -name django.po -exec rm '{}' \;
find %{buildroot} -name djangojs.po -exec rm '{}' \;

# Move config to /etc, symlink it back to /usr/share
mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.py.example %{buildroot}%{_sysconfdir}/openstack-dashboard/local_settings
ln -s ../../../../../%{_sysconfdir}/openstack-dashboard/local_settings %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.py


mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/conf/*.json %{buildroot}%{_sysconfdir}/openstack-dashboard
mkdir -p %{buildroot}%{_sysconfdir}/openstack-dashboard/local_settings.d
mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.d/* %{buildroot}%{_sysconfdir}/openstack-dashboard/local_settings.d
rmdir %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.d
ln -s ../../../../..%{_sysconfdir}/openstack-dashboard/local_settings.d %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.d

%find_lang django --all-name

grep "\/usr\/share\/openstack-dashboard" django.lang > dashboard.lang
grep "\/site-packages\/horizon" django.lang > horizon.lang

# copy static files to %{_datadir}/openstack-dashboard/static
mkdir -p %{buildroot}%{_datadir}/openstack-dashboard/static
cp -a openstack_dashboard/static/* %{buildroot}%{_datadir}/openstack-dashboard/static
cp -a horizon/static/* %{buildroot}%{_datadir}/openstack-dashboard/static
cp -a static/* %{buildroot}%{_datadir}/openstack-dashboard/static

# create /var/run/openstack-dashboard/ and own it
mkdir -p %{buildroot}%{_sharedstatedir}/openstack-dashboard

# create /var/log/horizon and own it
mkdir -p %{buildroot}%{_var}/log/horizon

# place logrotate config:
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cp -a %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-dashboard


%check
# don't run tests on rhel
%if 0%{?rhel} == 0
# since rawhide has django-1.7 now, tests fail
#./run_tests.sh -N -P
%endif

%post -n openstack-dashboard
# ugly hack to set a unique SECRET_KEY
sed -i "/^from horizon.utils import secret_key$/d" /etc/openstack-dashboard/local_settings
sed -i "/^SECRET_KEY.*$/{N;s/^.*$/SECRET_KEY='`openssl rand -hex 10`'/}" /etc/openstack-dashboard/local_settings
# reload systemd unit files
systemctl daemon-reload >/dev/null 2>&1 || :

%postun
# update systemd unit files
%{systemd_postun}

%files -f horizon.lang
%doc LICENSE README.rst openstack-dashboard-httpd-logging.conf
%dir %{python_sitelib}/horizon
%{python_sitelib}/horizon/*.py*
%{python_sitelib}/horizon/browsers
%{python_sitelib}/horizon/conf
%{python_sitelib}/horizon/contrib
%{python_sitelib}/horizon/forms
%{python_sitelib}/horizon/hacking
%{python_sitelib}/horizon/management
%{python_sitelib}/horizon/static
%{python_sitelib}/horizon/tables
%{python_sitelib}/horizon/tabs
%{python_sitelib}/horizon/templates
%{python_sitelib}/horizon/templatetags
%{python_sitelib}/horizon/test
%{python_sitelib}/horizon/utils
%{python_sitelib}/horizon/workflows
%{python_sitelib}/horizon/karma.conf.js
%{python_sitelib}/*.egg-info

%files -n openstack-dashboard -f dashboard.lang
%dir %{_datadir}/openstack-dashboard/
%{_datadir}/openstack-dashboard/*.py*
%{_datadir}/openstack-dashboard/static
%{_datadir}/openstack-dashboard/openstack_dashboard/*.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/api
%{_datadir}/openstack-dashboard/openstack_dashboard/contrib
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/admin
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/identity
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/project
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/settings
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/__init__.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/django_pyscss_fix
%{_datadir}/openstack-dashboard/openstack_dashboard/enabled
%{_datadir}/openstack-dashboard/openstack_dashboard/karma.conf.js
%{_datadir}/openstack-dashboard/openstack_dashboard/local
%{_datadir}/openstack-dashboard/openstack_dashboard/management
%{_datadir}/openstack-dashboard/openstack_dashboard/static
%{_datadir}/openstack-dashboard/openstack_dashboard/templates
%{_datadir}/openstack-dashboard/openstack_dashboard/templatetags
%{_datadir}/openstack-dashboard/openstack_dashboard/themes
%{_datadir}/openstack-dashboard/openstack_dashboard/test
%{_datadir}/openstack-dashboard/openstack_dashboard/usage
%{_datadir}/openstack-dashboard/openstack_dashboard/utils
%{_datadir}/openstack-dashboard/openstack_dashboard/wsgi
%dir %{_datadir}/openstack-dashboard/openstack_dashboard
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??_??
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??/LC_MESSAGES
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??_??/LC_MESSAGES
%{_datadir}/openstack-dashboard/openstack_dashboard/.eslintrc

%dir %attr(0750, root, apache) %{_sysconfdir}/openstack-dashboard
%dir %attr(0750, root, apache) %{_sysconfdir}/openstack-dashboard/local_settings.d/
%{_sysconfdir}/openstack-dashboard/local_settings.d/*.example
%dir %attr(0750, apache, apache) %{_sharedstatedir}/openstack-dashboard
%dir %attr(0750, apache, apache) %{_var}/log/horizon
%config(noreplace) %{_sysconfdir}/httpd/conf.d/openstack-dashboard.conf
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/local_settings
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/ceilometer_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/cinder_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/keystone_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/nova_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/glance_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/neutron_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/heat_policy.json
%config(noreplace) %{_sysconfdir}/logrotate.d/openstack-dashboard
%attr(755,root,root) %dir %{_unitdir}/httpd.service.d
%config(noreplace) %{_unitdir}/httpd.service.d/openstack-dashboard.conf

%files -n openstack-dashboard-theme
%{_datadir}/openstack-dashboard/openstack_dashboard/themes/rcue
%{_sysconfdir}/openstack-dashboard/local_settings.d/_11_*.py*

%files doc
%doc html


%changelog
* Mon Aug 13 2018 Radomir Dopieralski <rdopiera@redhat.com> 1:9.0.1-15
- Prevent duplicated ips on network topology (rhbz#1582462)

* Mon Aug 07 2017 Radomir Dopieralski <rdopiera@redhat.com> 1:9.0.1-14
- Fix rhbz#1478042: Add WSGIApplicationGroup %{GLOBAL} to Apache config

* Wed Jun 28 2017 Jason Joyce <jjoyce@redhat.com> 1:9.0.1-13
- Remove dangerous safestring declaration (rhbz#1444274)

* Wed Jun 07 2017 Beth Elwell <belwell@redhat.com> 1:9.0.1-12
- Add ability to choose flavor in dashboard if value "0" - fix (rhbz#1457745)

* Thu Jun 01 2017 Beth Elwell <belwell@redhat.com> 1:9.0.1-11
- Add ability to choose flavor in dashboard if value "0" (rhbz#1387504)

* Wed Mar 22 2017 Radomir Dopieralski <openstack@sheep.art.pl> 1:9.0.1-10
- Fix issues with updating project/domain members (rhbz#1434702)

* Tue Mar 21 2017 Radomir Dopieralski <openstack@sheep.art.pl> 1:9.0.1-9
- Fix close URL in the stack preview dialog (rhbz#1430219)

* Mon Mar 13 2017 Radomir Dopieralski <openstack@sheep.art.pl> 1:9.0.1-8
- Remove all_tenants flag in quota check (rhbz#1430684)

* Thu Feb 16 2017 Radomir Dopieralski <openstack@sheep.art.pl> 1:9.0.1-7
- Use domain_context not effective domain to display domains list (rhbz#1403043)
- Disentangle domain context from effective domain (rhbz#1403043)

* Tue Feb 14 2017 Radomir Dopieralski <openstack@sheep.art.pl> 1:9.0.1-6
- Let Nova to pick availability zone if more than 1 (rhbz#1417666)
- Use "Default", "Value" and "DefaultValue" for Heat parameters (rhbz#1421631)

* Fri Feb 10 2017 Beth Elwell <belwell@redhat.com> 1:9.0.1-5
- Add metadata in snapshot details page (rhbz#1406350)

* Wed Jan 04 2017 Beth <e.r.elwell@gmail.com> 1:9.0.1-4
- Addition of metadata for snapshot in VolumeSnapshot object (rhbz#1406350)

* Tue Oct 11 2016 Radomir Dopieralski <openstack@sheep.art.pl> 1:9.0.1-3
- No lock required for reading secret key (rhbz#1328402)
- Prevent Angular from intercepting links in navigation (rhbz#1382173)
- Fix pep8 failure in settings.py

* Fri Aug 12 2016 Radomir Dopieralski <openstack@sheep.art.pl> 1:9.0.1-2
- Make pages scrollable with RCUE theme (rhbz#1364556)
- Prevent Angular from intercepting links in menus (rhbz#1362569)

* Wed Jun 29 2016 Matthias Runge <mrunge@redhat.com> 1:9.0.1-1
- rebase to 9.0.1 (rhbz#1351736)

* Wed Jun 29 2016 Radomir Dopieralski <openstack@sheep.art.pl> 1:9.0.0-6
- make breadcrumbs more robust (rhbz#1348420)
- add favicon.ico (rhbz#1345817)

* Tue Jun 14 2016 Matthias Runge <mrunge@redhat.com> 1:9.0.0-5
- add favicon.ico (rhbz#1345817)
- change docs URL to point to access.redhat.com (rhbz#1344307)
- Escape angularjs templating in unsafe HTML (rhbz#1344169)

* Thu Jun 02 2016 Matthias Runge <mrunge@redhat.com> - 1:9.0.0-4
- fix locale handling
- remove unused requirements, requirement to django-compressor >= 2.0

* Tue May 31 2016 Matthias Runge <mrunge@redhat.com> - 1:9.0.0-3
- require -theme package to be installed by default

* Sun May 29 2016 Matthias Runge <mrunge@redhat.com> - 1:9.0.0-2
- add -theme subpackage (rhbz#1340355)

* Thu Apr  7 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 1:9.0.0-1
- Upstream 9.0.0

* Sat Apr 02 2016 Haikel Guemar <hguemar@fedoraproject.org> 1:9.0.0-0.2.0rc2
- Update to 9.0.0.0rc2

* Thu Mar 24 2016 RDO <rdo-list@redhat.com> 9.0.0-0.1.0rc1
- RC1 Rebuild for Mitaka rc1
